Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 716584 - games-mud/powwow-1.2.16-r1 : tty.c: fatal error: termio.h: No such file or directory
Summary: games-mud/powwow-1.2.16-r1 : tty.c: fatal error: termio.h: No such file or di...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo musl team
URL:
Whiteboard: termio.h
Keywords:
Depends on:
Blocks: missing-musl-includes
  Show dependency tree
 
Reported: 2020-04-07 15:06 UTC by Toralf Förster
Modified: 2021-01-09 16:16 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.01 KB, text/plain)
2020-04-07 15:06 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,358.16 KB, text/plain)
2020-04-07 15:06 UTC, Toralf Förster
Details
environment (environment,89.72 KB, text/plain)
2020-04-07 15:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,26.22 KB, application/x-bzip)
2020-04-07 15:06 UTC, Toralf Förster
Details
games-mud:powwow-1.2.16-r1:20200407-135247.log (games-mud:powwow-1.2.16-r1:20200407-135247.log,13.18 KB, text/plain)
2020-04-07 15:06 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,5.85 KB, application/x-bzip)
2020-04-07 15:06 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,24.04 KB, application/x-bzip)
2020-04-07 15:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-04-07 15:06:32 UTC
x86_64-gentoo-linux-musl-gcc -DPACKAGE_NAME=\\ -DPACKAGE_TARNAME=\\ -DPACKAGE_VERSION=\\ -DPACKAGE_STRING=\\ -DPACKAGE_BUGREPORT=\\ -DPACKAGE_URL=\\ -DPACKAGE=\powwow\ -DVERSION=\1.2.16\ -DUSE_REGEXP=1 -DHAVE_LIBDL=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1 -DHAVE_UNISTD_H=1 -DUSE_LOCALE=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_BZERO=1 -I.    -DPOWWOW_DIR=\/usr/share/powwow\ -DPLUGIN_DIR=\/usr/lib/powwow\ -O2 -pipe -march=native -c -o tty.o tty.c
tty.c:46:14: fatal error: termio.h: No such file or directory
   46 | #    include <termio.h>
      |              ^~~~~~~~~~
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_musl_hardened-20200328-201618

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-gentoo-linux-musl-9.3.0 *
clang version 10.0.0 
Target: x86_64-gentoo-linux-musl
Thread model: posix
InstalledDir: /usr/lib/llvm/10/bin
/usr/lib/llvm/10
10.0.0
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.42.0 *
Available Java Virtual Machines:
  (none found)


timestamp of HEAD at this tinderbox image:
/var/db/repos/gentoo	Tue Apr  7 11:07:59 UTC 2020
/var/db/repos/musl	Sat Apr  4 03:02:24 UTC 2020

emerge -qpvO games-mud/powwow
[ebuild  N    ] games-mud/powwow-1.2.16-r1
Comment 1 Toralf Förster gentoo-dev 2020-04-07 15:06:35 UTC
Created attachment 631144 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-04-07 15:06:38 UTC
Created attachment 631146 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-04-07 15:06:41 UTC
Created attachment 631148 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-04-07 15:06:44 UTC
Created attachment 631150 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-04-07 15:06:46 UTC
Created attachment 631152 [details]
games-mud:powwow-1.2.16-r1:20200407-135247.log
Comment 6 Toralf Förster gentoo-dev 2020-04-07 15:06:49 UTC
Created attachment 631154 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-04-07 15:06:52 UTC
Created attachment 631156 [details]
temp.tbz2
Comment 8 Michael 'veremitz' Everitt 2020-04-10 01:35:17 UTC
See eg. http://lists.busybox.net/pipermail/buildroot/2014-September/105877.html
(for openssl). Musl does not implement termios.h or termio.h
Comment 9 Larry the Git Cow gentoo-dev 2021-01-09 16:16:09 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4398db24f18f4f220edf10f546edbe2e9e9e8ff0

commit 4398db24f18f4f220edf10f546edbe2e9e9e8ff0
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2021-01-09 16:16:01 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2021-01-09 16:16:04 +0000

    games-mud/powwow: bump to 1.22.22
    
    Closes: https://bugs.gentoo.org/716584
    Closes: https://bugs.gentoo.org/690452
    Package-Manager: Portage-3.0.12, Repoman-3.0.2
    Signed-off-by: Sam James <sam@gentoo.org>

 games-mud/powwow/Manifest                          |  1 +
 games-mud/powwow/files/powwow-1.2.22-linking.patch | 39 ++++++++++++++++++
 .../powwow/files/powwow-1.2.22-musl-termios.patch  | 24 +++++++++++
 games-mud/powwow/powwow-1.2.22.ebuild              | 48 ++++++++++++++++++++++
 4 files changed, 112 insertions(+)